%define build_all 0
%define build_qt 1
%define qtdir /usr/lib/qt3

Name: pinentry
Version: 0.6.9
Release: alt3

Group: File tools
Summary: Collection of simple PIN or passphrase entry dialogs
URL: http://www.gnupg.org/
License: GPL

Packager: Sergey V Turchin <zerg@altlinux.ru>

PreReq: alternatives >= 0.0.6 info-install

Source0: %name-%version.tar.bz2
Patch: %name-0.6.6-alt-texinfo.patch

Provides: %_bindir/%name
%if %build_qt
Requires: libqt3-gcc_compiled = %__gcc_version_base
Provides: %name-qt = %version-%release
Obsoletes: %name-qt
%else
Provides: %name-gtk = %version-%release
Obsoletes: %name-gtk
%endif

# Automatically added by buildreq on Mon Dec 16 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ glib-devel gtk+-devel libXft libcap-devel libexpat libfontconfig libjpeg liblcms libmng libncurses-devel libqt3-devel libstdc++-devel libtinfo-devel

#for alternatives macros
BuildPreReq: libalternatives-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: libXft libcap-devel libexpat
BuildRequires: libfontconfig libjpeg liblcms libmng
BuildRequires: libncurses-devel libstdc++-devel libtinfo-devel
%if %build_qt
BuildRequires: libqt3-devel libqt3-gcc_compiled = %__gcc_version_base
%else
BuildRequires: glib-devel gtk+-devel
%endif

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%package curses
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
PreReq: alternatives >= 0.0.6 info-install

%package gtk
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
PreReq: alternatives >= 0.0.6 info-install

%package qt
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
Obsoletes: %name
PreReq: alternatives >= 0.0.6 info-install

%description curses
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%description gtk
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%description qt
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%prep
%setup -q
%patch -p1
rm -f doc/*.info

%build
#%%add_optflags -DUSE_KDE
export QTDIR=%qtdir

%if %build_all

%configure --enable-pinentry-gtk  --enable-pinentry-curses  --enable-pinentry-qt --enable-fallback-curses

%else

%if %build_qt
%configure --disable-pinentry-gtk --disable-pinentry-curses --enable-pinentry-qt --enable-fallback-curses
%else
%configure --enable-pinentry-gtk --disable-pinentry-curses --disable-pinentry-qt --enable-fallback-curses
%endif
%endif


%make

%install
%makeinstall

#made three alternatives entries
%__install -d $RPM_BUILD_ROOT/%_altdir
for i in curses gtk qt
do
cat >$RPM_BUILD_ROOT/%_altdir/%name-$i<<EOF
<group name="candidate">
    <option name="link">%_bindir/%name</option>
    <option name="real">%_bindir/%name-$i</option>
    <option name="weight" type="number">WEIGHT</option>
</group>
EOF
done	

%__subst 's,WEIGHT,10,' $RPM_BUILD_ROOT/%_altdir/%name-curses
%__subst 's,WEIGHT,20,' $RPM_BUILD_ROOT/%_altdir/%name-gtk
%__subst 's,WEIGHT,30,' $RPM_BUILD_ROOT/%_altdir/%name-qt

%post curses
%register_alternatives %name-curses -- %name
%install_info %name.info

%preun curses
%unregister_alternatives %name-curses

%post gtk
%register_alternatives %name-gtk -- %name
%preun gtk
%unregister_alternatives %name-gtk

%post qt
%register_alternatives %name-qt -- %name
%install_info %name.info

%preun qt
%unregister_alternatives %name-qt
%uninstall_info %name.info

%post
%register_alternatives  %name-curses %name-qt %name-gtk -- %name
%if !%build_qt
/usr/sbin/alternatives-update --ignore %_bindir/%name-qt
%endif
%install_info %name.info

%triggerpostun  -- %name < 0.6.6-alt2
%register_alternatives  %name-curses %name-qt %name-gtk -- %name

%preun
%unregister_alternatives  %name-curses %name-qt %name-gtk
%uninstall_info %name.info


%if %build_all

%files curses
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_altdir/%name-curses
%_bindir/%name-curses
#%%_infodir/*.info*
%files gtk
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_altdir/%name-gtk
%_bindir/%name-gtk
#%%_infodir/*.info*
%files qt
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_altdir/%name-qt
%_bindir/%name-qt
%_infodir/*.info*

%else

%files
%_altdir/%{name}*
%_bindir/%{name}*
%_infodir/*.info*

%endif


%changelog
* Fri Sep 05 2003 Sergey V Turchin <zerg at altlinux dot org> 0.6.9-alt3
- rebuild with Qt and with --enable-fallback-curses

* Wed May 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.6.9-alt2
- fix requires
- fix update of alternatives

* Wed May 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.6.9-alt1
- new version

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt3.1
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt3
- PreReq fixes

* Thu Mar 13 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt2
- move to new alternatives scheme
- texinfo fix, added missing script to install info pages into info dir
- added trigger 'cause pervious scripts was proken

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.6.6-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
